apport-qt crashed with IOError in write()

Bug #145100 reported by henrique
14
This bug affects 1 person
Affects Status Importance Assigned to Milestone
apport (Ubuntu)
Undecided
Martin Pitt

Bug Description

Binary package hint: apport

soffice crashed, and in sequence apport crashed

ProblemType: Crash
Architecture: amd64
CrashReports:
 600:1000:1000:46151:2007-09-25 17:13:48.000000000 +0200:2007-09-25 17:13:49.000000000 +0200:/var/crash/_usr_bin_restricted-manager-kde.1000.crash
 600:1000:1000:37049708:2007-09-25 23:01:29.000000000 +0200:2007-09-26 09:05:23.000000000 +0200:/var/crash/_usr_lib_openoffice_program_soffice.bin.1000.crash
 600:1000:1000:37949:2007-09-26 09:05:49.000000000 +0200:2007-09-26 09:05:55.000000000 +0200:/var/crash/_usr_share_apport_apport-qt.1000.crash
 600:0:0:251443:2007-09-25 17:57:04.000000000 +0200:2007-09-25 17:57:11.000000000 +0200:/var/crash/sun-java6-doc.0.crash
Date: Wed Sep 26 09:05:46 2007
DistroRelease: Ubuntu 7.10
ExecutablePath: /usr/share/apport/apport-qt
InterpreterPath: /usr/bin/python2.5
NonfreeKernelModules: nvidia ath_hal
Package: apport-qt 0.97
PackageArchitecture: all
ProcCmdline: /usr/bin/python /usr/share/apport/apport-qt
ProcCwd: /home/henrique
ProcEnviron:
 SHELL=/bin/bash
 PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games
 LANG=de_DE.UTF-8
PythonArgs: ['/usr/share/apport/apport-qt']
SourcePackage: apport
Title: apport-qt crashed with IOError in write()
Uname: Linux AsusF3T 2.6.22-12-generic #1 SMP Sun Sep 23 20:03:18 GMT 2007 x86_64 GNU/Linux

Revision history for this message
henrique (h-weinz) wrote :
Revision history for this message
Martin Pitt (pitti) wrote :

Fixed in bzr head.

Changed in apport:
assignee: nobody → pitti
status: New → Fix Committed
Revision history for this message
Martin Pitt (pitti) wrote :

apport (0.99) hardy; urgency=low

  * cli/apport-cli, qt4/apport-qt: Fix typo 'send' -> 'sent'.
    (LP: #139288)
  * apport_python_hook.py: Add user info, too. Also add check for this to the
    test suite. (LP: #145109)
  * apport/ui.py, run_crash(): Show a proper UI error message instead of just
    crashing with an exception if the crash report is inaccessible for the
    invoking user. (LP: #146464)
  * apport/crashdb_impl/memory.py: Implement mark_retraced(),
    get_unretraced(), and get_dup_unchecked() for completeness, and define
    _MemoryCrashDBTest also when not running file as __main__. This makes the
    class useful for higher-level test suites. Add test cases for the new
    functions.
  * apport/crashdb_impl/memory.py: Support 'dummy_data' option which adds a
    few dummy crashes by default. This is useful for external test suites
    which cannot otherwise pre-fill the in-memory db. Add checks that this
    works properly.
  * bin/crash-digger: Use self.log() more consistently, and flush stdout in
    log(), so that we do not lose logs on output redirection.
  * Add test-crash-digger: Initial test suite for bin/crash-digger.
  * apport/ui.py, run_crash(): Intercept CRC errors from the info collection
    thread, which happens on broken core dumps. (LP: #132212)
  * cli/apport-cli, ui_present_package_error(): Fix running of dialog, so that
    reporting package problems with apport-cli actually works. (LP: #136369)
  * apport/ui.py, run_crash(): Intercept ENOSPC and present a proper error
    message. (LP: #145100)
  * gtk/apport-gtk.glade: Fix title of upload progress window to comply to
    HIG. Thanks, Bruce Cowan. (LP: #144782)
  * qt4/apport-qt: Fix Unicode <-> UTF-8 conversion. Thanks, Daniel Hahler!
    (LP: #148177)
  * apport/ui.py: Only import xdg.DesktopEntry when a .desktop file has been
    found in the affected package. This avoids the dependency on servers with
    just apport-cli. Thanks, Matthias Gug! (LP: #130013)
  * apport/fileutils.py: Do not fail if there are no packages installed which
    have one or several .desktop files. Thanks, Matthias Gug!

 -- Martin Pitt <email address hidden> Sun, 28 Oct 2007 18:32:07 -0400

Changed in apport:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers